import java.io.*;

class Command {// implements Runnable { 
    String theCommand;

    public BufferedReader bfr;
    public BufferedReader ebfr;

    Command (String c) {
	theCommand = c;
    }

    public void run() {
	try {
	    U.println("running " + theCommand);
	    Runtime r = Runtime.getRuntime();
	    Process p = r.exec(theCommand);
	    //	    p.waitFor();
	    InputStream in = p.getInputStream();
	    InputStream err = p.getErrorStream();
	    if (in != null) {
		bfr =
		    new BufferedReader
		    (new InputStreamReader(in));
	    }
	    if (err != null) {
		ebfr =
		    new BufferedReader
		    (new InputStreamReader(err));
	    }
	} catch (IOException e) {
	    U.println("Command IOEXCEPTION " + e.getMessage());
	    //	} catch (InterruptedException e) {
	    //	    U.println("Command InterruptedException " + e.getMessage());
	}
    }

    public void recordResults(String outfile) {
	if (bfr == null)
		return;
	try {
	    FileOutputStream fos = new FileOutputStream(outfile);
	    PrintWriter pw = new PrintWriter(fos);
	    String s = bfr.readLine();
	    while (s!= null) {
		U.println(s);
		pw.println(s);
		s = bfr.readLine();
	    }
	    pw.close();
	    
	} catch (FileNotFoundException e) {
	    U.println("Command FILENOTFOUNDEXCEPTION " + e.getMessage());
	} catch (IOException e) {
	    U.println("Command IOEXCEPTION " + e.getMessage());
	} catch (Exception e) {
		e.printStackTrace();
	}
    }

    public void printResults() {
	try {
	    String s = bfr.readLine();
	    while (s!= null) {
		U.println(s);
		s = bfr.readLine();
	    }
	    String err = ebfr.readLine();
	    while (err != null) {
		U.println(err);
		err = ebfr.readLine();
	    }
	} catch (IOException e) {
	    U.println("Command IOEXCEPTION " + e.getMessage());
	}
    
    }

} // Command



















