import java.io.*;
import java.util.*;

public class MinirelTest {

	static BufferedReader in = null;

	public MinirelTest() {
	}

	public static void main(String[] args)
		throws IOException {
		PrintWriter out = new PrintWriter(new FileWriter("inserts.min"));
		PrintWriter err = new PrintWriter(new FileWriter("inserts.err"));
		PrintWriter createOut = new PrintWriter(new FileWriter("create.min"));
		String schemaName = "";
		String inputFile = "";
		in = new BufferedReader(new InputStreamReader(System.in));
		//System.out.print("Schema? ");
		//schemaName = in.readLine();      
		//System.out.print("Input? ");
		//inputFile = in.readLine();
		schemaName = "lsl";
		inputFile = "test";
		SchemaDefinition sd = new SchemaDefinition(schemaName);
		//SQLEngine sql = new SQLEngine();
		MinirelEngine mini = new MinirelEngine();
		String create = mini.getCreateTable(sd);
		createOut.println(create);
		createOut.close();
		BufferedReader file = new BufferedReader(new FileReader(inputFile));
		String str = file.readLine();
		int count = 1;
		while (str != null) {
			String insert = mini.getInsert(sd, str);
			if (insert == null)
				err.println(str);
			else 
				out.println(insert);
			str = file.readLine();
			count++;
		}
		out.close();
		err.close();
		file.close();
	}
	
}
