import java.io.*;
import java.util.*;

public class SQLTest {

	static BufferedReader in = null;

	public SQLTest() {
	}

	public static void main(String[] args)
		throws IOException {
		PrintWriter out = new PrintWriter(new FileWriter("inserts.sql"));
		PrintWriter err = new PrintWriter(new FileWriter("inserts.err"));
		PrintWriter createOut = new PrintWriter(new FileWriter("create.sql"));
		String schemaName = "";
		String inputFile = "";
		in = new BufferedReader(new InputStreamReader(System.in));
		//System.out.print("Schema? ");
		//schemaName = in.readLine();      
		//System.out.print("Input? ");
		//inputFile = in.readLine();
		schemaName = "lsl";
		inputFile = "test";
		SchemaDefinition sd = new SchemaDefinition(schemaName);
		SQLEngine sql = new SQLEngine();
		String createSQL = sql.getCreateTable(sd);
		createOut.println(createSQL);
		createOut.close();
		BufferedReader file = new BufferedReader(new FileReader(inputFile));
		String str = file.readLine();
		int count = 1;
		while (str != null) {
			String insertSQL = sql.getInsert(sd, str);
			if (insertSQL == null)
				err.println(str);
			else 
				out.println(insertSQL);
			str = file.readLine();
			count++;
		}
		out.close();
		err.close();
		file.close();
	}
	
}
